Enhavo
Indekso 🔎︎

# Log Function (BASIC)

Liveras la naturan logaritmon de numero.

### Syntax:

    Log (Number)

### Return value:

Double

### Parameters:

Number: Numera esprimo por kiu kalkuli la naturan logaritmon.

La naturan logaritmo estas la logaritmo de la bazo e. Bazo e estas konstanto, kies valoro estas proksimume 2,718282...

Oni povas kalkuli logaritmon de iu ajn bazo (n) por iu ajn numero (x), dividante la naturan logaritmon de x per la natura logaritmo de n, jene:

Logn(x) = Log(x) / Log(n)

### Error codes:

5 Nevalida procedurvoko

### Example:

    Sub ExampleLogExp
    Dim a As Double
    Dim Const b1=12.345e12
    Dim Const b2=1.345e34
        a=Exp( Log(b1)+Log(b2) )
        MsgBox "" & a & chr(13) & (b1*b2) ,0,"Multipliki per logaritma funkcio"
    End Sub